<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class Jadwal extends Model
{
    use HasApiTokens, HasFactory, Notifiable;

    protected $fillable = [
        'kelas_id', 'hari', 'jam_pelajaran', 'mata_pelajaran_id'
    ];

    public function kelas()
    {
        return $this->belongsTo(\App\Models\Kelas::class);
    }

    public function mataPelajaran()
    {
        return $this->belongsTo(\App\Models\MataPelajaran::class);
    }
}
